#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 quic
version:              0.1.0
visibility:           public
id:                   quic-0.1.0-K0KcpnT3aTZAzkl3Ed34YI
key:                  quic-0.1.0-K0KcpnT3aTZAzkl3Ed34YI
license:              BSD-3-Clause
maintainer:           kazu@iij.ad.jp
author:               Kazu Yamamoto
synopsis:             QUIC
description:
    Library for QUIC: A UDP-Based Multiplexed and Secure Transport

category:             Web
abi:                  417b4e364d354182c5b25a319bf4f0ee
exposed:              True
exposed-modules:
    Network.QUIC Network.QUIC.Client Network.QUIC.Internal
    Network.QUIC.Server

hidden-modules:
    Network.QUIC.Client.Reader Network.QUIC.Client.Run
    Network.QUIC.Closer Network.QUIC.Common Network.QUIC.Config
    Network.QUIC.Connection Network.QUIC.Connection.Crypto
    Network.QUIC.Connection.Migration Network.QUIC.Connection.Misc
    Network.QUIC.Connection.PacketNumber Network.QUIC.Connection.Queue
    Network.QUIC.Connection.Role Network.QUIC.Connection.State
    Network.QUIC.Connection.Stream Network.QUIC.Connection.StreamTable
    Network.QUIC.Connection.Timeout Network.QUIC.Connection.Types
    Network.QUIC.Connector Network.QUIC.Crypto
    Network.QUIC.Crypto.Fusion Network.QUIC.Crypto.Keys
    Network.QUIC.Crypto.Nite Network.QUIC.Crypto.Types
    Network.QUIC.Crypto.Utils Network.QUIC.Event Network.QUIC.Exception
    Network.QUIC.Handshake Network.QUIC.IO Network.QUIC.Imports
    Network.QUIC.Info Network.QUIC.Logger Network.QUIC.Packet
    Network.QUIC.Packet.Decode Network.QUIC.Packet.Decrypt
    Network.QUIC.Packet.Encode Network.QUIC.Packet.Frame
    Network.QUIC.Packet.Header Network.QUIC.Packet.Number
    Network.QUIC.Packet.Token Network.QUIC.Parameters
    Network.QUIC.QLogger Network.QUIC.Qlog Network.QUIC.Receiver
    Network.QUIC.Recovery Network.QUIC.Recovery.Constants
    Network.QUIC.Recovery.Detect Network.QUIC.Recovery.Interface
    Network.QUIC.Recovery.LossRecovery Network.QUIC.Recovery.Metrics
    Network.QUIC.Recovery.Misc Network.QUIC.Recovery.PeerPacketNumbers
    Network.QUIC.Recovery.Persistent Network.QUIC.Recovery.Release
    Network.QUIC.Recovery.Timer Network.QUIC.Recovery.Types
    Network.QUIC.Recovery.Utils Network.QUIC.Sender
    Network.QUIC.Server.Reader Network.QUIC.Server.Run
    Network.QUIC.Stream Network.QUIC.Stream.Frag
    Network.QUIC.Stream.Misc Network.QUIC.Stream.Queue
    Network.QUIC.Stream.Reass Network.QUIC.Stream.Skew
    Network.QUIC.Stream.Table Network.QUIC.Stream.Types
    Network.QUIC.TLS Network.QUIC.Types Network.QUIC.Types.Ack
    Network.QUIC.Types.CID Network.QUIC.Types.Constants
    Network.QUIC.Types.Error Network.QUIC.Types.Exception
    Network.QUIC.Types.Frame Network.QUIC.Types.Integer
    Network.QUIC.Types.Packet Network.QUIC.Types.Queue
    Network.QUIC.Types.Resumption Network.QUIC.Types.Time
    Network.QUIC.Utils Network.QUIC.Windows

import-dirs:          /usr/lib/ghc-9.0.2/site-local/quic-0.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/quic-0.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-quic
hs-libraries:         HSquic-0.1.0-K0KcpnT3aTZAzkl3Ed34YI
depends:
    array-0.5.4.0 base-4.15.1.0
    base16-bytestring-1.0.2.0-Gqlh8Vz53dG4LEJv9JGYC9
    bytestring-0.10.12.1 containers-0.6.4.1
    crypto-token-0.0.1-KT3iI8HgeOX8VHqSSnmLzR
    cryptonite-0.30-JJF5UVncQkk2W71ZgJSlNU
    data-default-class-0.1.2.0-IxhEAzgy8931aXcEiJcyZO
    fast-logger-3.1.2-Erx10tDWoRB1rbQD4QtRrE filepath-1.4.2.1
    iproute-1.7.12-2RUzfDZa1rHFiy2uTcQdgg
    memory-0.17.0-3DbDQrj54CLAPAnWUJBJ4b
    network-3.1.2.7-2migibsQkdRJOHMsxX4UCn
    network-byte-order-0.1.6-C1KiReUXtm7AnYLYtma2lu
    network-udp-0.0.0-HsXxCX8ehiqKByQpLOWBwn
    psqueues-0.2.7.3-6wXNeoa2N2d9TxIYjnA5vj
    random-1.2.1.1-2OCZakkUdz4CgwOx57VCs0 stm-2.5.0.0
    tls-1.6.0-BMcy0mRDlVPGpqAL2poLCb
    unix-time-0.4.8-1hDZYcgxARiAbeeK59wE2
    unliftio-0.2.23.0-akMCN5dVBVLb1OGKopLJN
    unliftio-core-0.2.1.0-AJ3ipHGgln87h2Y2hfrpJj
    x509-1.7.7-8w3GwcLMyTjJ8Z1PgLq6po
    x509-system-1.6.7-KbbueeqWhrHGlXLg10RKbO

haddock-interfaces:   /usr/share/doc/haskell-quic/html/quic.haddock
haddock-html:         /usr/share/doc/haskell-quic/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

